
QGIS Application - Bug report #20433

"Merge Selected Feature" do not works correctly with hidden fields

2018-11-09 11:22 PM - Jan Lippmann

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28253

Description

"Take Attributes from selected feature" takes not the value from the selected feature.
History

#1 - 2018-11-12 12:05 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

Did it worked as expected on 2.18?

I also don't understand the relation from the title/subject and the description, can you elaborate?

#2 - 2018-11-12 06:05 PM - Jan Lippmann

- File merge_take_attributes.gif added

hi giovanni,

thanks for the feedback.

if i hide the fid (primary key) field of the GPKG and use "Take Attributes from selected feature" the value (in this case 'A') of the 'kategorie' field is not

inserted in the 'merge' row. merge should not be "skipped"

IMHO: qgis "thinks" the kategorie field is the autogenerated fid field, thats why it switch in the merge row to "skipped"

if i don't hide fid everythign is fine.

in 2.18 it works with or without the hidden field (you can see it in the gif below)

i hope its now a little bit more clear? if not give me a hint! thanks

merge_take_attributes.gif

#3 - 2018-11-12 06:08 PM - Jan Lippmann
BTW: i hide the fid field because of this bug: #20431

#4 - 2018-11-12 06:09 PM - Giovanni Manghi

- Subject changed from "Merge Selected Feature" works not correct with hidden fields to "Merge Selected Feature" do not works correctly with hidden 

fields

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open

#5 - 2018-11-22 12:15 AM - Jan Lippmann

it's still an issue with actual master 5603546c26
